//
//  ContactsTableViewController.swift
//  VC to VC
//
//  Created by Matthew Newill on 08/01/2019.
//  Copyright © 2019 DevFright. All rights reserved.
//

import UIKit

class ContactsTableViewController: UITableViewController {

    let appDelegate = UIApplication.shared.delegate as! AppDelegate
    var contactSelected = 0
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    // MARK: - Table view data source

    override func numberOfSections(in tableView: UITableView) -> Int {
        // #warning Incomplete implementation, return the number of sections
        return 1
    }

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // #warning Incomplete implementation, return the number of rows
        return appDelegate.contacts.count
    }

    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "Contact Cell", for: indexPath)

        let firstName = appDelegate.contacts[indexPath.row]["firstName"]
        let lastName = appDelegate.contacts[indexPath.row]["lastName"]
        
        cell.textLabel?.text = firstName! + " " + lastName!

        return cell
    }
    
    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        contactSelected = indexPath.row
        performSegue(withIdentifier: "Show Contact", sender: nil)
    }
    
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
        if (segue.identifier == "Show Contact") {
            let showContactViewController: ShowContactViewController = segue.destination as! ShowContactViewController
            showContactViewController.contactIndex = contactSelected
        }
    }
    
}
